Bug 50811 - Dhcpcd reports
Summary: Dhcpcd reports
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dhcpcd (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-03 15:17 UTC by Clay Cooper
Modified: 2008-05-01 15:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-27 20:09:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Clay Cooper 2001-08-03 15:17:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2 i686; en-US; m18)
Gecko/20010131 Netscape6/6.01

Description of problem:
On a pe7150 with IA64 fairfax beta3 installed, when bringing up a network
interface, dhcpd reports in /var/log/messages:

Aug  3 10:02:22 localhost ifup: Determining IP information for eth0...
Aug  3 10:02:25 localhost kernel: dhcpcd(8290): unaligned access to
0x6000000000011fce, ip=0x40000000000084c1
Aug  3 10:02:25 localhost kernel: dhcpcd(8290): unaligned access to
0x6000000000011fde, ip=0x4000000000008511
Aug  3 10:02:25 localhost kernel: dhcpcd(8290): unaligned access to
0x6000000000011fce, ip=0x4000000000008441
Aug  3 10:02:25 localhost kernel: dhcpcd(8290): unaligned access to
0x6000000000011fde, ip=0x4000000000008490
Aug  3 10:02:25 localhost ifup:  done.

Dhcpcd does get an IP address, and interface activates without error.


How reproducible:
Always

Steps to Reproduce:
1.Install fairfax beta3 on IA64 machine
2.Set interface to dhcp and ifup eth0
3.Note dhcpcd report in /var/log/messages
	

Actual Results:  Dhcpcd reports "unaligned access to..."

Expected Results:  No reports to make you think something's wrong.

Additional info:

Comment 1 Elliot Lee 2001-08-07 18:03:19 UTC
I was pretty sure I had fixed all these (at least on the alpha...). What does
'rpm -q dhcpcd' show?

Comment 2 Clay Cooper 2001-08-07 19:18:56 UTC
dhcpcd-1.3.18pl8-13

reproduced on 2.4.7-0.3, btw.

Comment 3 Elliot Lee 2001-09-27 20:09:01 UTC
I haven't forgotten about it... :)

I just put a dhcpcd-1.3.20pl0-1 into rawhide, if it shows up and you get a
chance, please try it out.

Comment 4 John A. Hull 2001-11-01 21:29:20 UTC
Fixed.


Note You need to log in before you can comment on or make changes to this bug.